#!/usr/bin/env python
# -*- coding: utf-8 -*-
#
#       main.py
#       
#       Copyright 2014 Recursos Python - www.recursospython.com
#       
#       

from os import getcwd

import pyodbc


# Nombre del controlador.
DRIVER_NAME = "Microsoft Access Driver (*.mdb, *.accdb)"

# Ruta completa del archivo.
DB_PATH = getcwd() + "/database.accdb"

# Establecer la conexión.
conn = pyodbc.connect("Driver={%s};DBQ=%s;" % (DRIVER_NAME, DB_PATH))

# Crear cursor para ejecutar consultas.
cursor = conn.cursor()

# Agregar algunos datos.
name = "Guido"  # Nombre
surname = "van Rossum"  # Apellido
telephone = "No disponible"  # Número de teléfono
date = "03/10/2014"  # Fecha
wage = "$ 1.300" # (nota puntos y comas) # Remuneración
pending_payment = False  # Paga pendiente

# Ejecutar la consulta.
cursor.execute(u"INSERT INTO empleados (nombre, apellido, teléfono, "
               u"fecha, remuneración, paga_pendiente) VALUES (?, ?, "
               "?, ?, ?, ?)",
               name, surname, telephone, date, wage, pending_payment)

# Guardar los cambios.
cursor.commit()

# Ejecutar consulta: retornar todas las filas de la tabla empleados.
q = cursor.execute("SELECT * FROM empleados")
rows = q.fetchall()

# Recorrer cada una de las filas e imprimirlas en pantalla.
if rows is not None:
    for row in rows:
        print(row)
else:
    print("No hay datos en la tabla.")

# Cerrar la conexión y, opcionalmente, el cursor antes de finalizar.
cursor.close()
conn.close()
